Bug 240141 - Enhancement request to pass authentication keys to ntpdate in startup script
Summary: Enhancement request to pass authentication keys to ntpdate in startup script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ntp (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 202204
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 14:24 UTC by Miroslav Lichvar
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0381
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 18:00:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0381 normal SHIPPED_LIVE ntp bug fix update 2007-10-30 14:42:54 UTC

Description Miroslav Lichvar 2007-05-15 14:24:29 UTC
+++ This bug was initially created as a clone of Bug #202204 +++

Description of problem:
Our ntp servers only work with authentication keys. This stops ntpdate working
properly on startup. 

We therefore have to manually hack /etc/init.d/ntpd to allow ntpdate to work
properly on startup. 

There is no way to handle this situation in the present startup script which
simply has:

/usr/sbin/ntpdate $dropstr -s -b $tickers 2>/dev/null >/dev/null

Could either the startup scripts examine the $ntpconf file for not just the
server's IP but also maybe the optional key directive afterwards and pass this
to ntpdate.

Or a nastier way to simply allow an extra parameter to be passed from
/etc/sysconfig/ntpd

eg

/etc/sysconfig/ntpd:
# Drop root to id 'ntp:ntp' by default.
OPTIONS="-u ntp:ntp -p /var/run/ntpd.pid"

# Set to 'yes' to sync hw clock after successful ntpdate.
SYNC_HWCLOCK=no

NTPDATEOPTIONS="-a 11 -k /etc/ntp/keys"

/etc/init.d/ntpd:
/usr/sbin/ntpdate $dropstr $NTPDATEOPTIONS -s -b $tickers

Comment 5 errata-xmlrpc 2007-11-07 18:00:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0381.html



Note You need to log in before you can comment on or make changes to this bug.